Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.olap.domain.impl.hibernate
Class RepoMondrianXMLADefinition

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
          com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResource
              com.jaspersoft.jasperserver.api.metadata.olap.domain.impl.hibernate.RepoMondrianXMLADefinition

All Implemented Interfaces:
  IdedObject

    public class RepoMondrianXMLADefinition

extends RepoResource

Author:
  swood

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
`creationDate, description, id, label, name, parent, version`

Constructor Summary
`RepoMondrianXMLADefinition()`

Method Summary
`protected void` | `copyFrom(Resource clientRes, ReferenceResolver referenceResolver)`
`protected void` | `copyTo(Resource clientRes, ResourceFactory resourceFactory)`
`java.lang.String` | `getCatalog()`
`protected java.lang.Class` | `getClientItf()`
`RepoMondrianConnection` | `getMondrianConnection()`
`void` | `setCatalog(java.lang.String catalog)`
`void` | `setMondrianConnection(RepoMondrianConnection connection)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResource
`addNewChild, copyFromClient, equals, filterChildren, getChildrenFolder, getClientReference, getReference, getReference, hashCode, initNewChildren, setChildrenFolder, toClient, toClientLookup, toString`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
`copyFrom, copyFromClient, copyTo, getCreationDate, getDescription, getId, getLabel, getName, getParent, getResourceURI, getVersion, isNew, setCreationDate, setDescription, setId, setLabel, setName, setParent, setVersion`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepoMondrianXMLADefinition

    public RepoMondrianXMLADefinition()

Method Detail

### getCatalog

    public java.lang.String getCatalog()

  Returns:
    Returns the catalog.

### setCatalog

    public void setCatalog(java.lang.String catalog)

  Parameters:
    `catalog` - The catalog to set.

### getMondrianConnection

    public RepoMondrianConnection getMondrianConnection()

  Returns:
    Returns the connection.

### setMondrianConnection

    public void setMondrianConnection(RepoMondrianConnection connection)

  Parameters:
    `connection` - The connection to set.

### copyTo

    protected void copyTo(Resource clientRes,
                          ResourceFactory resourceFactory)

  Overrides:
    `copyTo` in class `RepoResource`

### copyFrom

    protected void copyFrom(Resource clientRes,
                            ReferenceResolver referenceResolver)

  Overrides:
    `copyFrom` in class `RepoResource`

### getClientItf

    protected java.lang.Class getClientItf()

  Specified by:
    `getClientItf` in class `RepoResourceBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.